 MODULE user

!------------------------------------------------------------------------------!
! Actual revisions:
! -----------------
! 
!
! Former revisions:
! -----------------
! $Id: user_module.f90 226 2009-02-02 07:39:34Z raasch $
!
! 220 2008-12-18 07:00:36Z raasch
! Former file user_interface.f90 split into one file per subroutine,
! revision history cleaned up
!
! 159 2008-04-09 08:06:03Z raasch
! bugfix in user_read_restart_data
! small bugfixes for sample code (comments):
! - initialize ustvst with 0.0 as it is now computed only until nxr and nyn
! - two ALLOCATE statements moved from user_read_restart_data back to user_init
! - remove 'READ (13) u2_av' statement in user_read_restart_data
! +routines user_read_restart_data, user_spectra
!
! RCS Log replace by Id keyword, revision history cleaned up
!
! Revision 1.18  2006/06/02 15:25:00  raasch
! +change of grid-defining arguments in routine user_define_netcdf_grid,
! new argument "found" in user_data_output_2d and user_data_output_3d
!
! Revision 1.1  1998/03/24 15:29:04  raasch
! Initial revision
!
!
! Description:
! ------------
! Declaration of user-defined variables. This module may only be used
! in the user-defined routines (contained in user_interface.f90).
!------------------------------------------------------------------------------!

    INTEGER ::  dots_num_palm, user_idummy
    LOGICAL ::  user_defined_namelist_found = .FALSE.
    REAL    ::  user_rdummy

!
!-- Sample for user-defined output
!    REAL, DIMENSION(:,:,:), ALLOCATABLE ::  u2, u2_av
!    REAL, DIMENSION(:,:,:), ALLOCATABLE ::  ustvst

    SAVE

 END MODULE user
